%global major 0
%define libname %mklibname epoxy %major
%define devname %mklibname -d epoxy

Summary: Direct Rendering Manager runtime library
Name: libepoxy
Group: System/Libraries
Version: 1.3.1
Release: %mkrel 1
License: MIT
URL: http://github.com/anholt/libepoxy
Source0: https://github.com/anholt/libepoxy/archive/%{commit}/%{name}-%{version}.tar.xz
#---------------------------------------
BuildRequires: pkgconfig
BuildRequires: automake 
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: x11-util-macros
BuildRequires: python3
BuildRequires: x11-proto-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}x11-devel
#---------------------------------------

%description
A library for handling OpenGL function pointer management.

%package -n %libname
Summary: Direct Rendering Manager runtime library
Group: System/Libraries

%description -n %libname
A library for handling OpenGL function pointer management.

%package -n %devname
Summary: Development files for libepoxy
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %devname
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
make -j1


%install
rm -rf %buildroot
make install DESTDIR=$RPM_BUILD_ROOT

# NOTE: We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' -delete -print

%files -n %libname
%defattr(-,root,root)
%doc README.md
%{_libdir}/libepoxy.so.%{major}*

%files -n %devname
%defattr(-,root,root)
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc


%changelog
* Thu Feb 04 2016 bb <bb> 1.3.1-1pclos2016
- update

* Tue Dec 30 2014 bb <bb> 1.2-0.1pclos2014
- import into pclos
